initramfs.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Federico Vaga <federico.vaga-vJEk5272eHo@public.gmane.org>
To: initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
Cc: German Maglione
	<gmaglione-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>,
	Federico Vaga <federico.vaga-vJEk5272eHo@public.gmane.org>
Subject: [PATCH v2] dracut: dmsquash-live: overlay module can be built-in the kernel
Date: Wed, 18 May 2022 11:47:07 +0200	[thread overview]
Message-ID: <20220518094707.943732-1-federico.vaga@cern.ch> (raw)

The dmsquash-live module assumes that `overlay` is always a module.
Therefore, when `overlay` is built-in the kernel, this module will fail
to detect the presence of such a feature.

This patch adds a fallback mechanism to check also `/proc/filesystem`.
This is also what happens with the dracut NSF module when loading the
kernel module `rpc_pipefs`.

Signed-off-by: Federico Vaga <federico.vaga-vJEk5272eHo@public.gmane.org>
---
 v1 -> v2: do not use unnecessary sub-shell in the if statement

 modules.d/90dmsquash-live/dmsquash-live-root.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules.d/90dmsquash-live/dmsquash-live-root.sh b/modules.d/90dmsquash-live/dmsquash-live-root.sh
index fd8a858a..f68a979c 100755
--- a/modules.d/90dmsquash-live/dmsquash-live-root.sh
+++ b/modules.d/90dmsquash-live/dmsquash-live-root.sh
@@ -170,7 +170,7 @@ do_live_overlay() {
         fi
     fi
     if [ -n "$overlayfs" ]; then
-        if ! modprobe overlay; then
+        if ! { modprobe overlay || strstr "$(cat /proc/filesystems)" overlay; }; then
             if [ "$overlayfs" = required ]; then
                 die "OverlayFS is required but not available."
                 exit 1
-- 
2.27.0


             reply	other threads:[~2022-05-18  9:47 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-18  9:47 Federico Vaga [this message]
     [not found] ` <20220518094707.943732-1-federico.vaga-vJEk5272eHo@public.gmane.org>
2022-08-02 13:51   ` [PATCH v2] dracut: dmsquash-live: overlay module can be built-in the kernel Federico Vaga
     [not found]     ` <CAEcBt+WXEhVnXkiCesXhS7QqROFbpcMBoSqqamuAcH8yRFwgaQ@mail.gmail.com>
     [not found]       ` <CAEcBt+WXEhVnXkiCesXhS7QqROFbpcMBoSqqamuAcH8yRFwgaQ-JsoAwUIsXosN+BqQ9rBEUg@public.gmane.org>
2022-08-03 15:10         ` Federico Vaga
     [not found]           ` <20220803151025.gvst5p2ymdcdfhif-1QOQnPiIM9xnkehFW44Bwe1GAupnlqi7@public.gmane.org>
2022-08-03 17:41             ` Frederick Grose
  -- strict thread matches above, loose matches on Subject: below --
2022-08-02 23:33 Frederick Grose

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220518094707.943732-1-federico.vaga@cern.ch \
    --to=federico.vaga-vjek5272eho@public.gmane.org \
    --cc=gmaglione-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org \
    --cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).